package dev.fitko.fitconnect.client.steps.sender;

public interface EncryptedMetadataStep {

    /**
     * JSON data as encrypted JWE string.
     *
     * @param encryptedMetadata encrypted JWE string of the metadata
     * @return next step to add a destination
     */
    DestinationStep withEncryptedMetadata(String encryptedMetadata);
}